import { StyleSheet } from 'react-native'
import {
  windowHeight,
  windowWidth,
  fontSizes,
} from '../../../theme/appConstant'
import appColors from '../../../theme/appColors'
import appFonts from '../../../theme/appFonts'

const styles = StyleSheet.create({
  main: {
    flex: 1,
    width: '100%',
  },
  noDataContainer: {
    justifyContent: 'center',
    alignItems: 'center',
    flex: 1,
    marginHorizontal: windowWidth(5),
  },
  noDataImg: {
    height: windowHeight(18),
    width: windowWidth(60),
    resizeMode: 'contain',
    marginTop: windowHeight(3.5),
  },
  msg: {
    fontFamily: appFonts.bold,
    marginVertical: windowHeight(1),
    fontSize: fontSizes.FONT4HALF,
  },
  detail: {
    color: appColors.secondaryFont,
    fontFamily: appFonts.regular,
    textAlign: 'center',
    fontSize: fontSizes.FONT3HALF,
  },
  container: {
    marginHorizontal: windowWidth(4),
    marginVertical: windowHeight(2),
  },
  listItem: {
    justifyContent: 'space-between',
    alignItems: 'center',
  },
  leftSection: {
    justifyContent: 'space-between',
    alignItems: 'center',
    width: '100%',
  },
  dateText: {
    fontSize: fontSizes.FONT4,
    color: appColors.secondaryFont,
    fontFamily: appFonts.regular,
    marginHorizontal: windowWidth(1.5),
  },
  paymentTypeText: {
    fontSize: fontSizes.FONT4HALF,
    color: appColors.primaryFont,
    fontFamily: appFonts.medium,
  },
  rightSection: {
    alignItems: 'flex-end',
  },
  amountText: {
    fontSize: fontSizes.FONT4HALF,
    fontFamily: appFonts.bold,
  },
  statusText: {
    fontSize: fontSizes.FONT3HALF1,
    fontFamily: appFonts.regular,
    color: appColors.primaryFont,
  },
  refreshContainer: {
    backgroundColor: appColors.primary,
    width: '100%',
    height: windowHeight(6),
    marginTop: windowHeight(8),
    alignItems: 'center',
    justifyContent: 'center',
    borderRadius: windowHeight(25),
    bottom: '8%',
  },
  refreshText: {
    color: appColors.white,
    fontFamily: appFonts.medium,
  },
  menuTrigger: {
    marginHorizontal: windowWidth(2),
    paddingTop: windowHeight(0.2),
  },
  walletContainer: {
    alignItems: 'center',
    justifyContent: 'center',
  },
  gap: {
    gap: windowHeight(7.5),
  },
  dataView: {
    maxHeight: windowHeight(42),
    marginHorizontal: windowWidth(4),
    borderRadius: windowWidth(5),
    overflow: 'hidden',
    borderWidth: windowWidth(0.45),
  },
  line: {
    height: windowHeight(0.6),
    width: '110%',
    marginVertical: windowHeight(1.5),
  },
  statusView: {
    height: windowHeight(3.5),
    paddingHorizontal: windowWidth(4),
    alignItems: 'center',
    justifyContent: 'center',
    borderRadius: windowWidth(35),
  },
})
export default styles
